import React from "react";
export interface DropdownProps {
    disabled?: boolean;
    loading?: boolean;
    fullWidth?: boolean;
    block?: boolean;
    bottom?: boolean;
    combo?: boolean;
    compact?: boolean;
    container?: boolean;
    leftMarged?: boolean;
    icon?: string | React.ReactElement;
    inverse?: boolean;
    isOpen?: boolean;
    mono?: boolean;
    mountOnEnter?: boolean;
    unmountOnExit?: boolean;
    noBorder?: boolean;
    noSpacing?: boolean;
    shade?: boolean;
    soft?: boolean;
    shimmer?: boolean;
    primary?: boolean;
    rectangular?: boolean;
    removeIcon?: boolean;
    secondary?: boolean;
    side?: boolean;
    short?: boolean;
    transparent?: boolean;
    children?: React.ReactNode;
    button?: boolean;
    label?: string | React.ReactNode;
    only?: boolean;
    relative?: boolean;
    left?: boolean;
    options?: {
        label: string;
        value: any;
    }[];
    onSelectOption?: (option?: {
        label: string;
        value: any;
    }) => void;
    closeOnSelect?: boolean;
    onToggleMenu?: (isOpen?: boolean) => void;
    small?: boolean;
    large?: boolean;
    tall?: boolean;
    wide?: boolean;
}
export interface DropdownMenuProps {
    children: React.ReactNode;
    left?: boolean;
    isOpen?: boolean;
    insideAButton?: boolean;
    bottom?: boolean;
    combo?: boolean;
    mountOnEnter?: boolean;
    unmountOnExit?: boolean;
    side?: boolean;
    onClickOutside?: () => void;
}
export declare const DropdownMenu: React.FC<DropdownMenuProps>;
export declare const Dropdown: React.FC<DropdownProps>;
