import React from "react";
export interface DefaultProps {
    center: {
        lat: number;
        lng: number;
    };
    radius: number;
    options: {
        fillColor: string;
        strokeColor: string;
        strokeWeight: number;
        fillOpacity: number;
        strokeOpacity: number;
    };
}
export interface MapCircleProps extends DefaultProps {
    draggable?: boolean;
    editable?: boolean;
    onCenterChanged?: (center: string | null) => void;
    onClick?: () => void;
    onDragEnd?: (center: string | null) => void;
    onMouseOut?: () => void;
    onMouseOver?: () => void;
    onRadiusChanged?: (radius: number) => void;
    removeMarker?: boolean;
}
export declare const MapCircle: React.FC<MapCircleProps>;
