import React, { ReactNode } from "react";
interface Breakpoint {
    name: string;
    value: number;
}
export interface ResponsiveContext {
    breakpoint: Breakpoint;
    isGreaterThan: (value: string | number) => boolean;
    isLessThan: (value: string | number) => boolean;
}
export interface WithBreakpointsProps extends ResponsiveContext {
    [key: string]: any;
}
declare const ResponsiveConsumer: React.Consumer<Breakpoint>;
declare const withBreakpoints: <P extends WithBreakpointsProps>(Component: React.ComponentType<P>) => (props: Omit<P, keyof ResponsiveContext>) => React.JSX.Element;
interface ResponsiveWrapperProps {
    children: ReactNode;
}
declare const ResponsiveWrapper: React.FC<ResponsiveWrapperProps>;
interface ResponsiveProps {
    unmount?: boolean;
    showFor?: "small" | "medium" | "large" | "xlarge";
    hideFor?: "small" | "medium" | "large" | "xlarge";
    children: ReactNode;
}
declare const Responsive: React.FC<ResponsiveProps>;
export { ResponsiveWrapper, ResponsiveConsumer, Responsive, withBreakpoints };
