import React, { ChangeEvent } from "react";
export interface SelectProps {
    actionLink?: string;
    autoCapitalize?: boolean;
    autoComplete?: "off" | "on";
    autoCorrect?: any;
    autoFocus?: boolean;
    book?: boolean;
    borderless?: boolean;
    cacheOptions?: boolean;
    clearable?: boolean;
    closeMenuOnSelect?: boolean;
    defaultOptions?: boolean | any[];
    defaultValue?: any;
    disabled?: boolean;
    errorMessage?: any;
    focusBorderless?: boolean;
    getOptionLabel?: Function;
    getOptionValue?: Function;
    hideLabel?: boolean;
    id?: string;
    inline?: boolean;
    inputRef?: Function;
    invalid?: boolean;
    inverse?: boolean;
    label?: string;
    labelDescription?: string;
    large?: boolean;
    lightLabel?: boolean;
    loading?: boolean;
    loadingMessage?: string | Function;
    loadOptions?: Function;
    mask?: Function;
    maxLength?: string | number;
    multiple?: boolean;
    name?: string;
    noOptionsMessage?: string;
    onBlur?: (event: FocusEvent) => void;
    onChange?: (value: any) => void;
    onClear?: Function;
    onCreateOption?: Function;
    onFocus?: (event: FocusEvent) => void;
    onInputChange?: (event: ChangeEvent) => void;
    onKeyDown?: (event: KeyboardEvent) => void;
    options?: any[];
    placeholder?: string;
    prefix?: any;
    prefixSeparator?: boolean;
    readOnly?: boolean;
    refForFocus?: Function;
    removeMargins?: boolean;
    removePrefixSpacing?: boolean;
    removeSuffixSpacing?: boolean;
    shimmer?: boolean;
    showFakeValuePlaceholder?: boolean;
    showOverflowEllipsis?: boolean;
    small?: boolean;
    spellCheck?: any;
    suffix?: any;
    suffixSeparator?: boolean;
    suffixText?: any;
    type?: string;
    underlineFocus?: boolean;
    value?: string | any[] | any;
}
export declare const Select: {
    ({ actionLink, autoCapitalize, autoComplete, autoCorrect, autoFocus, book, borderless, cacheOptions, clearable, closeMenuOnSelect, defaultOptions, defaultValue, disabled, errorMessage, focusBorderless, getOptionLabel, getOptionValue, hideLabel, id, inline, inputRef, invalid, inverse, label, labelDescription, large, lightLabel, loading, loadingMessage, loadOptions, mask, maxLength, multiple, name, noOptionsMessage, onBlur, onChange, onClear, onCreateOption, onFocus, onInputChange, onKeyDown, options, placeholder, prefix, prefixSeparator, readOnly, refForFocus, removeMargins, removePrefixSpacing, removeSuffixSpacing, shimmer, showFakeValuePlaceholder, showOverflowEllipsis, small, spellCheck, suffix, suffixSeparator, suffixText, type, underlineFocus, value, }: {
        actionLink: any;
        autoCapitalize: any;
        autoComplete: any;
        autoCorrect: any;
        autoFocus: any;
        book: any;
        borderless: any;
        cacheOptions: any;
        clearable: any;
        closeMenuOnSelect: any;
        defaultOptions: any;
        defaultValue: any;
        disabled: any;
        errorMessage: any;
        focusBorderless: any;
        getOptionLabel: any;
        getOptionValue: any;
        hideLabel: any;
        id: any;
        inline: any;
        inputRef: any;
        invalid: any;
        inverse: any;
        label: any;
        labelDescription: any;
        large: any;
        lightLabel: any;
        loading: any;
        loadingMessage: any;
        loadOptions: any;
        mask: any;
        maxLength: any;
        multiple: any;
        name: any;
        noOptionsMessage: any;
        onBlur: any;
        onChange: any;
        onClear: any;
        onCreateOption: any;
        onFocus: any;
        onInputChange: any;
        onKeyDown: any;
        options: any;
        placeholder: any;
        prefix: any;
        prefixSeparator: any;
        readOnly: any;
        refForFocus: any;
        removeMargins: any;
        removePrefixSpacing: any;
        removeSuffixSpacing: any;
        shimmer: any;
        showFakeValuePlaceholder: any;
        showOverflowEllipsis: any;
        small: any;
        spellCheck: any;
        suffix: any;
        suffixSeparator: any;
        suffixText: any;
        type: any;
        underlineFocus: any;
        value: any;
    }): React.JSX.Element;
    defaultProps: SelectProps;
};
