import { FC, ReactNode } from "react";
import { Props as ReactSelectProps } from "react-select";
export interface SelectOnlyProps extends Partial<ReactSelectProps<any, any>> {
    actionLink?: string;
    autoCapitalize?: boolean;
    autoComplete?: "off" | "on";
    autoCorrect?: any;
    autoFocus?: boolean;
    book?: boolean;
    borderless?: boolean;
    cacheOptions?: boolean;
    clearable?: boolean;
    closeMenuOnSelect?: boolean;
    defaultOptions?: boolean | any[];
    defaultValue?: any;
    disabled?: boolean;
    flat?: boolean;
    floating?: boolean;
    focusBorderless?: boolean;
    getOptionLabel?: (option: any) => string;
    getOptionValue?: (option: any) => string;
    id?: string;
    inline?: boolean;
    inputRef?: (node: any) => void;
    insidePrefix?: boolean;
    insideSuffix?: boolean;
    invalid?: boolean;
    inverse?: boolean;
    loading?: boolean;
    loadOptions?: (inputValue: string, callback: (options: any[]) => void) => Promise<any> | void;
    large?: boolean;
    loadingMessage?: string | (() => string);
    mask?: (value: string) => void;
    maxLength?: string | number;
    multiple?: boolean;
    name?: string;
    noOptionsMessage?: string;
    onBlur?: () => void;
    onChange?: (selected: any) => void;
    onClear?: () => void;
    onCreateOption?: (inputValue: string) => void;
    onFocus?: () => void;
    onInputChange?: (newValue: string) => void;
    onKeyDown?: () => void;
    placeholder?: string;
    prefix?: ReactNode;
    prefixSeparator?: boolean;
    readOnly?: boolean;
    refForFocus?: (node: any) => void;
    removeMargins?: boolean;
    removePrefixSpacing?: boolean;
    removeSuffixSpacing?: boolean;
    right?: boolean;
    shimmer?: boolean;
    showFakeValuePlaceholder?: boolean;
    showOverflowEllipsis?: boolean;
    small?: boolean;
    spellCheck?: any;
    suffix?: ReactNode;
    suffixSeparator?: boolean;
    suffixText?: any;
    type?: string;
    underlineFocus?: boolean;
    value?: any;
}
export declare const SelectOnly: FC<SelectOnlyProps>;
