import React, { ReactNode } from "react";
import { CSS } from "@stitches/react";
interface Breakpoint {
    name: string;
    value: number;
}
export interface ResponsiveContext {
    breakpoint: Breakpoint;
    isGreaterThan: (value: string | number) => boolean;
    isLessThan: (value: string | number) => boolean;
}
export interface SpacingProps {
    bottom?: number;
    bottomLargeAndAbove?: number;
    bottomMediumAndAbove?: number;
    children?: ReactNode;
    horizontal?: number;
    horizontalLargeAndAbove?: number;
    horizontalMediumAndAbove?: number;
    inline?: boolean;
    inside?: boolean;
    left?: number;
    leftLargeAndAbove?: number;
    css?: CSS;
    leftMediumAndAbove?: number;
    right?: number;
    rightLargeAndAbove?: number;
    rightMediumAndAbove?: number;
    top?: number;
    topLargeAndAbove?: number;
    topMediumAndAbove?: number;
    vertical?: number;
    verticalLargeAndAbove?: number;
    verticalMediumAndAbove?: number;
    isGreaterThan: (value: string | number) => boolean;
}
export declare const Spacing: (props: Omit<import("../Responsive/Responsive").WithBreakpointsProps, keyof import("../Responsive/Responsive").ResponsiveContext>) => React.JSX.Element;
export {};
